Wary: Xorg intel driver rollback

Wary 019 has Xorg 7.3+, consisting of the latest packages before the transition to Xorg 7.4. So, the packages are mostly later than those used in Puppy 4.3.1. The Xorg packages in Puppy 4.3.1 were created November 2007, many of the Xorg packages in Wary are dated around mid-2008.

Anyway, my laptop has Intel video hardware, 'lspci' reports this:

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)


Wary has the Intel driver (package xf86-video-intel) version 2.3.1 with patches from Debian Lenny.

I get occasional screen flicker. This plagued the Intel driver for a time-span well over a year. It is fixed in Quirky. I didn't know that it started that early, that 2.3.1 exhibits it. Well, now I know.

It gets worse. Over 4 - 5 hours usage I got the screen just going blank twice. First time, I had to push the power button to restart. Second time, maybe I caught it sooner, was able to do ctrl-alt-backspace to exit, but then running 'xwin' just brought up the blank screen, had to reboot.

So, I have compiled the Intel driver version 2.1.1, the same as used in Puppy 4.3.1. using it now, so far so good. No flicker. I'll keep using it for a few hours, if it checks out, will roll back.


Posted on 20 Sep 2010, 17:17


Comments:

Posted on 14 Apr 2010, 10:39 by Leon
Wary: Ati driver rollback please
I have Ati Radeon 9200 SE graphics card.

When I start xorgwizard and choose 'Probe' only a black screen is shown and I have to push the power button to restart my computer.

So, I have compiled the Intel driver version 2.1.1, the same as used in Puppy 4.3.1. using it now, so far so good. No flicker. I'll keep using it for a few hours, if it checks out, will roll back.

Would you be willing to do the same with the Ati driver as used in Puppy 4.3.1 which works perfectly.

The settings from my xorg.conf file in Puppy 4.3.1

Driver "ati" #card0driver
VendorName "ATI Technologies Inc"
BoardName "RV280 [Radeon 9200 SE]"
BusID "PCI:1:0:0"